[INFO] cloning repository https://github.com/HelveticaScenario/superdough-rs
[INFO] running `Command { std: "git" "-c" "credential.helper=" "-c" "credential.helper=/workspace/cargo-home/bin/git-credential-null" "clone" "--bare" "https://github.com/HelveticaScenario/superdough-rs" "/workspace/cache/git-repos/https%3A%2F%2Fgithub.com%2FHelveticaScenario%2Fsuperdough-rs", kill_on_drop: false }`
[INFO] [stderr] Cloning into bare repository '/workspace/cache/git-repos/https%3A%2F%2Fgithub.com%2FHelveticaScenario%2Fsuperdough-rs'...
[INFO] running `Command { std: "git" "rev-parse" "HEAD", kill_on_drop: false }`
[INFO] [stdout] 1a61635a59974e719b2162965f08bd575597240a
[INFO] testing HelveticaScenario/superdough-rs against 1.94.0 for beta-1.95-1
[INFO] running `Command { std: "git" "clone" "/workspace/cache/git-repos/https%3A%2F%2Fgithub.com%2FHelveticaScenario%2Fsuperdough-rs" "/workspace/builds/worker-6-tc1/source", kill_on_drop: false }`
[INFO] [stderr] Cloning into '/workspace/builds/worker-6-tc1/source'...
[INFO] [stderr] done.
[INFO] started tweaking git repo https://github.com/HelveticaScenario/superdough-rs
[INFO] finished tweaking git repo https://github.com/HelveticaScenario/superdough-rs
[INFO] tweaked toml for git repo https://github.com/HelveticaScenario/superdough-rs written to /workspace/builds/worker-6-tc1/source/Cargo.toml
[INFO] validating manifest of git repo https://github.com/HelveticaScenario/superdough-rs on toolchain 1.94.0
[INFO] running `Command { std: CARGO_HOME="/workspace/cargo-home" RUSTUP_HOME="/workspace/rustup-home" "/workspace/cargo-home/bin/cargo" "+1.94.0" "metadata" "--manifest-path" "Cargo.toml" "--no-deps", kill_on_drop: false }`
[INFO] crate git repo https://github.com/HelveticaScenario/superdough-rs already has a lockfile, it will not be regenerated
[INFO] running `Command { std: CARGO_HOME="/workspace/cargo-home" RUSTUP_HOME="/workspace/rustup-home" "/workspace/cargo-home/bin/cargo" "+1.94.0" "fetch" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] [stderr]     Updating crates.io index
[INFO] [stderr]     Blocking waiting for file lock on package cache
[INFO] [stderr]  Downloading crates ...
[INFO] [stderr]   Downloaded piston-float v1.0.1
[INFO] [stderr]   Downloaded symphonia v0.5.4
[INFO] [stderr]   Downloaded vecmath v1.0.0
[INFO] [stderr]   Downloaded symphonia-format-ogg v0.5.4
[INFO] [stderr]   Downloaded extended v0.1.0
[INFO] [stderr]   Downloaded symphonia-format-riff v0.5.4
[INFO] [stderr]   Downloaded symphonia-metadata v0.5.4
[INFO] [stderr]   Downloaded symphonia-core v0.5.4
[INFO] [stderr]   Downloaded hrtf v0.8.1
[INFO] [stderr]   Downloaded creek-decode-symphonia v0.3.2
[INFO] [stderr]   Downloaded derive_builder_macro v0.20.2
[INFO] [stderr]   Downloaded symphonia-utils-xiph v0.5.4
[INFO] [stderr]   Downloaded llq v0.1.1
[INFO] [stderr]   Downloaded no_denormals v0.2.0
[INFO] [stderr]   Downloaded derive_builder_core v0.20.2
[INFO] [stderr]   Downloaded derive_builder v0.20.2
[INFO] [stderr]   Downloaded windows-core v0.54.0
[INFO] [stderr]   Downloaded alsa v0.9.1
[INFO] [stderr]   Downloaded cpal v0.15.3
[INFO] [stderr]   Downloaded cc v1.2.21
[INFO] [stderr]   Downloaded symphonia-bundle-mp3 v0.5.4
[INFO] [stderr]   Downloaded rubato v0.14.1
[INFO] [stderr]   Downloaded oboe-sys v0.6.1
[INFO] [stderr]   Downloaded rubato v0.16.2
[INFO] [stderr]   Downloaded symphonia-format-isomp4 v0.5.4
[INFO] [stderr]   Downloaded creek-core v0.2.2
[INFO] [stderr]   Downloaded float_eq v1.0.1
[INFO] [stderr]   Downloaded symphonia-bundle-flac v0.5.4
[INFO] [stderr]   Downloaded symphonia-codec-aac v0.5.4
[INFO] [stderr]   Downloaded symphonia-codec-vorbis v0.5.4
[INFO] [stderr]   Downloaded symphonia-format-mkv v0.5.4
[INFO] [stderr]   Downloaded almost v0.2.0
[INFO] [stderr]   Downloaded coreaudio-sys v0.2.16
[INFO] [stderr]   Downloaded rustfft v6.3.0
[INFO] [stderr]   Downloaded oboe v0.6.1
[INFO] [stderr]   Downloaded rtrb v0.3.2
[INFO] [stderr]   Downloaded creek-encode-wav v0.2.0
[INFO] [stderr]   Downloaded creek v1.2.2
[INFO] [stderr]   Downloaded fft-convolver v0.2.0
[INFO] [stderr]   Downloaded realfft v3.4.0
[INFO] [stderr]   Downloaded symphonia-codec-alac v0.5.4
[INFO] [stderr]   Downloaded symphonia-codec-adpcm v0.5.4
[INFO] [stderr]   Downloaded symphonia-codec-pcm v0.5.4
[INFO] [stderr]   Downloaded web-audio-api v1.2.0
[INFO] [stderr]   Downloaded windows v0.54.0
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:d429b63d4308055ea97f60fb1d3dfca48854a00942f1bd2ad806beaf015945ec" "/opt/rustwide/cargo-home/bin/cargo" "+1.94.0" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] 6bb242926183400b1846073bc462725f1bf758dad16bbbc30134c2e7f9019895
[INFO] running `Command { std: "docker" "start" "-a" "6bb242926183400b1846073bc462725f1bf758dad16bbbc30134c2e7f9019895", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "6bb242926183400b1846073bc462725f1bf758dad16bbbc30134c2e7f9019895", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "6bb242926183400b1846073bc462725f1bf758dad16bbbc30134c2e7f9019895", kill_on_drop: false }`
[INFO] [stdout] 6bb242926183400b1846073bc462725f1bf758dad16bbbc30134c2e7f9019895
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTFLAGS=--cap-lints=warn" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:d429b63d4308055ea97f60fb1d3dfca48854a00942f1bd2ad806beaf015945ec" "/opt/rustwide/cargo-home/bin/cargo" "+1.94.0" "build" "--frozen" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] f458234393e8872a63769f765847cb49656aff02a3684d726b1a2000e2884a36
[INFO] running `Command { std: "docker" "start" "-a" "f458234393e8872a63769f765847cb49656aff02a3684d726b1a2000e2884a36", kill_on_drop: false }`
[INFO] [stderr]    Compiling log v0.4.27
[INFO] [stderr]    Compiling bytemuck v1.23.0
[INFO] [stderr]    Compiling arrayvec v0.7.6
[INFO] [stderr]    Compiling proc-macro2 v1.0.95
[INFO] [stderr]    Compiling unicode-ident v1.0.18
[INFO] [stderr]    Compiling strength_reduce v0.2.4
[INFO] [stderr]    Compiling strsim v0.11.1
[INFO] [stderr]    Compiling ident_case v1.0.1
[INFO] [stderr]    Compiling libc v0.2.172
[INFO] [stderr]    Compiling pkg-config v0.3.32
[INFO] [stderr]    Compiling fnv v1.0.7
[INFO] [stderr]    Compiling num-traits v0.2.19
[INFO] [stderr]    Compiling encoding_rs v0.8.35
[INFO] [stderr]    Compiling rustfft v6.3.0
[INFO] [stderr]    Compiling extended v0.1.0
[INFO] [stderr]    Compiling rtrb v0.3.2
[INFO] [stderr]    Compiling crossbeam-utils v0.8.21
[INFO] [stderr]    Compiling futures-sink v0.3.31
[INFO] [stderr]    Compiling cpal v0.15.3
[INFO] [stderr]    Compiling futures-core v0.3.31
[INFO] [stderr]    Compiling bitflags v2.9.0
[INFO] [stderr]    Compiling byte-slice-cast v1.2.3
[INFO] [stderr]    Compiling pin-project-lite v0.2.16
[INFO] [stderr]    Compiling piston-float v1.0.1
[INFO] [stderr]    Compiling symphonia-core v0.5.4
[INFO] [stderr]    Compiling futures-task v0.3.31
[INFO] [stderr]    Compiling float_eq v1.0.1
[INFO] [stderr]    Compiling no_denormals v0.2.0
[INFO] [stderr]    Compiling creek-core v0.2.2
[INFO] [stderr]    Compiling vecmath v1.0.0
[INFO] [stderr]    Compiling llq v0.1.1
[INFO] [stderr]    Compiling almost v0.2.0
[INFO] [stderr]    Compiling futures-channel v0.3.31
[INFO] [stderr]    Compiling futures-util v0.3.31
[INFO] [stderr]    Compiling arc-swap v1.7.1
[INFO] [stderr]    Compiling smallvec v1.15.0
[INFO] [stderr]    Compiling alsa-sys v0.3.1
[INFO] [stderr]    Compiling creek-encode-wav v0.2.0
[INFO] [stderr]    Compiling quote v1.0.40
[INFO] [stderr]    Compiling num-integer v0.1.46
[INFO] [stderr]    Compiling num-complex v0.4.6
[INFO] [stderr]    Compiling crossbeam-channel v0.5.15
[INFO] [stderr]    Compiling syn v2.0.101
[INFO] [stderr]    Compiling alsa v0.9.1
[INFO] [stderr]    Compiling primal-check v0.3.4
[INFO] [stderr]    Compiling transpose v0.2.3
[INFO] [stderr]    Compiling num-bigint v0.4.6
[INFO] [stderr]    Compiling num-iter v0.1.45
[INFO] [stderr]    Compiling symphonia-metadata v0.5.4
[INFO] [stderr]    Compiling symphonia-codec-aac v0.5.4
[INFO] [stderr]    Compiling symphonia-codec-pcm v0.5.4
[INFO] [stderr]    Compiling symphonia-codec-alac v0.5.4
[INFO] [stderr]    Compiling symphonia-codec-adpcm v0.5.4
[INFO] [stderr]    Compiling symphonia-utils-xiph v0.5.4
[INFO] [stderr]    Compiling symphonia-bundle-mp3 v0.5.4
[INFO] [stderr]    Compiling symphonia-format-riff v0.5.4
[INFO] [stderr]    Compiling symphonia-format-ogg v0.5.4
[INFO] [stderr]    Compiling symphonia-codec-vorbis v0.5.4
[INFO] [stderr]    Compiling symphonia-format-mkv v0.5.4
[INFO] [stderr]    Compiling symphonia-format-isomp4 v0.5.4
[INFO] [stderr]    Compiling symphonia-bundle-flac v0.5.4
[INFO] [stderr]    Compiling num-rational v0.4.2
[INFO] [stderr]    Compiling symphonia v0.5.4
[INFO] [stderr]    Compiling creek-decode-symphonia v0.3.2
[INFO] [stderr]    Compiling creek v1.2.2
[INFO] [stderr]    Compiling num v0.4.3
[INFO] [stderr]    Compiling darling_core v0.20.11
[INFO] [stderr]    Compiling thiserror-impl v1.0.69
[INFO] [stderr]    Compiling thiserror v1.0.69
[INFO] [stderr]    Compiling darling_macro v0.20.11
[INFO] [stderr]    Compiling realfft v3.4.0
[INFO] [stderr]    Compiling rubato v0.14.1
[INFO] [stderr]    Compiling rubato v0.16.2
[INFO] [stderr]    Compiling fft-convolver v0.2.0
[INFO] [stderr]    Compiling darling v0.20.11
[INFO] [stderr]    Compiling derive_builder_core v0.20.2
[INFO] [stderr]    Compiling hrtf v0.8.1
[INFO] [stderr]    Compiling derive_builder_macro v0.20.2
[INFO] [stderr]    Compiling web-audio-api v1.2.0
[INFO] [stderr]    Compiling derive_builder v0.20.2
[INFO] [stderr]    Compiling superdough-rs v0.1.0 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unused variable: `source`
[INFO] [stdout]    --> src/lib.rs:229:61
[INFO] [stdout]     |
[INFO] [stdout] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stdout]     |                                                             ^^^^^^ help: if this is intentional, prefix it with an underscore: `_source`
[INFO] [stdout]     |
[INFO] [stdout]     = note: `#[warn(unused_variables)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `DEFAULT_MAX_POLYPHONY` is never used
[INFO] [stdout]   --> src/lib.rs:12:7
[INFO] [stdout]    |
[INFO] [stdout] 12 | const DEFAULT_MAX_POLYPHONY: usize = 128;
[INFO] [stdout]    |       ^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout]    |
[INFO] [stdout]    = note: `#[warn(dead_code)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `DEFAULT_AUDIO_DEVICE_NAME` is never used
[INFO] [stdout]   --> src/lib.rs:13:7
[INFO] [stdout]    |
[INFO] [stdout] 13 | const DEFAULT_AUDIO_DEVICE_NAME: &str = "System Standard";
[INFO] [stdout]    |       ^^^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `MAX_POLYPHONY` is never used
[INFO] [stdout]   --> src/lib.rs:16:7
[INFO] [stdout]    |
[INFO] [stdout] 16 | const MAX_POLYPHONY: usize = DEFAULT_MAX_POLYPHONY;
[INFO] [stdout]    |       ^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: variants `Ladder` and `TwentyFourDB` are never constructed
[INFO] [stdout]    --> src/lib.rs:100:5
[INFO] [stdout]     |
[INFO] [stdout]  97 | enum FilterType {
[INFO] [stdout]     |      ---------- variants in this enum
[INFO] [stdout] ...
[INFO] [stdout] 100 |     Ladder,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 101 |     TwentyFourDB,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `FilterType` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: multiple fields are never read
[INFO] [stdout]    --> src/lib.rs:108:5
[INFO] [stdout]     |
[INFO] [stdout] 106 | struct HAP {
[INFO] [stdout]     |        --- fields in this struct
[INFO] [stdout] 107 |     #[builder(default = "Some(\"triangle\".into())")]
[INFO] [stdout] 108 |     s: Option<String>,
[INFO] [stdout]     |     ^
[INFO] [stdout] ...
[INFO] [stdout] 111 |     gain: Option<f32>,
[INFO] [stdout]     |     ^^^^
[INFO] [stdout] 112 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 113 |     post_gain: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 114 |     #[builder(default = "Some(0.03)")]
[INFO] [stdout] 115 |     density: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 118 |     duration: f64,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 121 |     f_anchor: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 124 |     ftype: Option<FilterType>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 133 |     resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 142 |     h_resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 151 |     band_q: Option<f32>,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 152 |     #[builder(default = "Some(vec![1.0, 2.0])")]
[INFO] [stdout] 153 |     channels: Option<Vec<f32>>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 157 |     phaser_depth: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 165 |     shape_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 168 |     distort_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 172 |     delay: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] 173 |     #[builder(default = "Some(0.5)")]
[INFO] [stdout] 174 |     delayfeedback: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 175 |     #[builder(default = "Some(0.25)")]
[INFO] [stdout] 176 |     delaytime: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 177 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 178 |     orbit: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 186 |     i: Option<f32>,
[INFO] [stdout]     |     ^
[INFO] [stdout] 187 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 188 |     velocity: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 191 |     fft: Option<f32>, // fftSize 0 - 10
[INFO] [stdout]     |     ^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `HAP` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: enum `Time` is never used
[INFO] [stdout]    --> src/lib.rs:200:6
[INFO] [stdout]     |
[INFO] [stdout] 200 | enum Time {
[INFO] [stdout]     |      ^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: fields `audio_context`, `max_polyphony`, `audio_device`, and `sound_map` are never read
[INFO] [stdout]    --> src/lib.rs:208:5
[INFO] [stdout]     |
[INFO] [stdout] 207 | pub struct Superdough {
[INFO] [stdout]     |            ---------- fields in this struct
[INFO] [stdout] 208 |     audio_context: AudioContext,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 209 |     max_polyphony: usize,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 210 |     audio_device: String,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] 211 |     sound_map: HashMap<String, String>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `Superdough` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: associated items `new`, `fire`, and `fire_with_custom_source` are never used
[INFO] [stdout]    --> src/lib.rs:215:8
[INFO] [stdout]     |
[INFO] [stdout] 214 | impl Superdough {
[INFO] [stdout]     | --------------- associated items in this implementation
[INFO] [stdout] 215 |     fn new() -> Self {
[INFO] [stdout]     |        ^^^
[INFO] [stdout] ...
[INFO] [stdout] 225 |     fn fire(&self, value: &HAP, t: Time) {
[INFO] [stdout]     |        ^^^^
[INFO] [stdout] ...
[INFO] [stdout] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stdout]     |        ^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `gain_node` is never used
[INFO] [stdout]  --> src/helpers.rs:7:15
[INFO] [stdout]   |
[INFO] [stdout] 7 | pub(crate) fn gain_node(audio_context: &AudioContext, value: f32) -> GainNode {
[INFO] [stdout]   |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `get_slope` is never used
[INFO] [stdout]   --> src/helpers.rs:13:15
[INFO] [stdout]    |
[INFO] [stdout] 13 | pub(crate) fn get_slope(y1: f32, y2: f32, x1: f32, x2: f32) -> f32 {
[INFO] [stdout]    |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished `dev` profile [unoptimized + debuginfo] target(s) in 56.57s
[INFO] running `Command { std: "docker" "inspect" "f458234393e8872a63769f765847cb49656aff02a3684d726b1a2000e2884a36", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "f458234393e8872a63769f765847cb49656aff02a3684d726b1a2000e2884a36", kill_on_drop: false }`
[INFO] [stdout] f458234393e8872a63769f765847cb49656aff02a3684d726b1a2000e2884a36
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTFLAGS=--cap-lints=warn" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:d429b63d4308055ea97f60fb1d3dfca48854a00942f1bd2ad806beaf015945ec" "/opt/rustwide/cargo-home/bin/cargo" "+1.94.0" "test" "--frozen" "--no-run" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] c9194b4210d292116f36d5c9371c050e330625c1ed96e191556272f86a024408
[INFO] running `Command { std: "docker" "start" "-a" "c9194b4210d292116f36d5c9371c050e330625c1ed96e191556272f86a024408", kill_on_drop: false }`
[INFO] [stderr]    Compiling superdough-rs v0.1.0 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unused variable: `source`
[INFO] [stdout]    --> src/lib.rs:229:61
[INFO] [stdout]     |
[INFO] [stdout] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stdout]     |                                                             ^^^^^^ help: if this is intentional, prefix it with an underscore: `_source`
[INFO] [stdout]     |
[INFO] [stdout]     = note: `#[warn(unused_variables)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `DEFAULT_MAX_POLYPHONY` is never used
[INFO] [stdout]   --> src/lib.rs:12:7
[INFO] [stdout]    |
[INFO] [stdout] 12 | const DEFAULT_MAX_POLYPHONY: usize = 128;
[INFO] [stdout]    |       ^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout]    |
[INFO] [stdout]    = note: `#[warn(dead_code)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `DEFAULT_AUDIO_DEVICE_NAME` is never used
[INFO] [stdout]   --> src/lib.rs:13:7
[INFO] [stdout]    |
[INFO] [stdout] 13 | const DEFAULT_AUDIO_DEVICE_NAME: &str = "System Standard";
[INFO] [stdout]    |       ^^^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: constant `MAX_POLYPHONY` is never used
[INFO] [stdout]   --> src/lib.rs:16:7
[INFO] [stdout]    |
[INFO] [stdout] 16 | const MAX_POLYPHONY: usize = DEFAULT_MAX_POLYPHONY;
[INFO] [stdout]    |       ^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: variants `Ladder` and `TwentyFourDB` are never constructed
[INFO] [stdout]    --> src/lib.rs:100:5
[INFO] [stdout]     |
[INFO] [stdout]  97 | enum FilterType {
[INFO] [stdout]     |      ---------- variants in this enum
[INFO] [stdout] ...
[INFO] [stdout] 100 |     Ladder,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 101 |     TwentyFourDB,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `FilterType` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: multiple fields are never read
[INFO] [stdout]    --> src/lib.rs:108:5
[INFO] [stdout]     |
[INFO] [stdout] 106 | struct HAP {
[INFO] [stdout]     |        --- fields in this struct
[INFO] [stdout] 107 |     #[builder(default = "Some(\"triangle\".into())")]
[INFO] [stdout] 108 |     s: Option<String>,
[INFO] [stdout]     |     ^
[INFO] [stdout] ...
[INFO] [stdout] 111 |     gain: Option<f32>,
[INFO] [stdout]     |     ^^^^
[INFO] [stdout] 112 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 113 |     post_gain: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 114 |     #[builder(default = "Some(0.03)")]
[INFO] [stdout] 115 |     density: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 118 |     duration: f64,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 121 |     f_anchor: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 124 |     ftype: Option<FilterType>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 133 |     resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 142 |     h_resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 151 |     band_q: Option<f32>,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 152 |     #[builder(default = "Some(vec![1.0, 2.0])")]
[INFO] [stdout] 153 |     channels: Option<Vec<f32>>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 157 |     phaser_depth: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 165 |     shape_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 168 |     distort_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 172 |     delay: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] 173 |     #[builder(default = "Some(0.5)")]
[INFO] [stdout] 174 |     delayfeedback: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 175 |     #[builder(default = "Some(0.25)")]
[INFO] [stdout] 176 |     delaytime: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 177 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 178 |     orbit: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 186 |     i: Option<f32>,
[INFO] [stdout]     |     ^
[INFO] [stdout] 187 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 188 |     velocity: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 191 |     fft: Option<f32>, // fftSize 0 - 10
[INFO] [stdout]     |     ^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `HAP` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: enum `Time` is never used
[INFO] [stdout]    --> src/lib.rs:200:6
[INFO] [stdout]     |
[INFO] [stdout] 200 | enum Time {
[INFO] [stdout]     |      ^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: fields `audio_context`, `max_polyphony`, `audio_device`, and `sound_map` are never read
[INFO] [stdout]    --> src/lib.rs:208:5
[INFO] [stdout]     |
[INFO] [stdout] 207 | pub struct Superdough {
[INFO] [stdout]     |            ---------- fields in this struct
[INFO] [stdout] 208 |     audio_context: AudioContext,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 209 |     max_polyphony: usize,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 210 |     audio_device: String,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] 211 |     sound_map: HashMap<String, String>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `Superdough` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: associated items `new`, `fire`, and `fire_with_custom_source` are never used
[INFO] [stdout]    --> src/lib.rs:215:8
[INFO] [stdout]     |
[INFO] [stdout] 214 | impl Superdough {
[INFO] [stdout]     | --------------- associated items in this implementation
[INFO] [stdout] 215 |     fn new() -> Self {
[INFO] [stdout]     |        ^^^
[INFO] [stdout] ...
[INFO] [stdout] 225 |     fn fire(&self, value: &HAP, t: Time) {
[INFO] [stdout]     |        ^^^^
[INFO] [stdout] ...
[INFO] [stdout] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stdout]     |        ^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `gain_node` is never used
[INFO] [stdout]  --> src/helpers.rs:7:15
[INFO] [stdout]   |
[INFO] [stdout] 7 | pub(crate) fn gain_node(audio_context: &AudioContext, value: f32) -> GainNode {
[INFO] [stdout]   |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `get_slope` is never used
[INFO] [stdout]   --> src/helpers.rs:13:15
[INFO] [stdout]    |
[INFO] [stdout] 13 | pub(crate) fn get_slope(y1: f32, y2: f32, x1: f32, x2: f32) -> f32 {
[INFO] [stdout]    |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unused variable: `source`
[INFO] [stdout]    --> src/lib.rs:229:61
[INFO] [stdout]     |
[INFO] [stdout] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stdout]     |                                                             ^^^^^^ help: if this is intentional, prefix it with an underscore: `_source`
[INFO] [stdout]     |
[INFO] [stdout]     = note: `#[warn(unused_variables)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: variants `Ladder` and `TwentyFourDB` are never constructed
[INFO] [stdout]    --> src/lib.rs:100:5
[INFO] [stdout]     |
[INFO] [stdout]  97 | enum FilterType {
[INFO] [stdout]     |      ---------- variants in this enum
[INFO] [stdout] ...
[INFO] [stdout] 100 |     Ladder,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 101 |     TwentyFourDB,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `FilterType` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stdout]     = note: `#[warn(dead_code)]` (part of `#[warn(unused)]`) on by default
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: multiple fields are never read
[INFO] [stdout]    --> src/lib.rs:108:5
[INFO] [stdout]     |
[INFO] [stdout] 106 | struct HAP {
[INFO] [stdout]     |        --- fields in this struct
[INFO] [stdout] 107 |     #[builder(default = "Some(\"triangle\".into())")]
[INFO] [stdout] 108 |     s: Option<String>,
[INFO] [stdout]     |     ^
[INFO] [stdout] ...
[INFO] [stdout] 111 |     gain: Option<f32>,
[INFO] [stdout]     |     ^^^^
[INFO] [stdout] 112 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 113 |     post_gain: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 114 |     #[builder(default = "Some(0.03)")]
[INFO] [stdout] 115 |     density: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 118 |     duration: f64,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 121 |     f_anchor: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 124 |     ftype: Option<FilterType>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 133 |     resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 142 |     h_resonance: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 151 |     band_q: Option<f32>,
[INFO] [stdout]     |     ^^^^^^
[INFO] [stdout] 152 |     #[builder(default = "Some(vec![1.0, 2.0])")]
[INFO] [stdout] 153 |     channels: Option<Vec<f32>>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 157 |     phaser_depth: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 165 |     shape_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 168 |     distort_vol: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 172 |     delay: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] 173 |     #[builder(default = "Some(0.5)")]
[INFO] [stdout] 174 |     delayfeedback: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 175 |     #[builder(default = "Some(0.25)")]
[INFO] [stdout] 176 |     delaytime: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout] 177 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 178 |     orbit: Option<f32>,
[INFO] [stdout]     |     ^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 186 |     i: Option<f32>,
[INFO] [stdout]     |     ^
[INFO] [stdout] 187 |     #[builder(default = "Some(1.0)")]
[INFO] [stdout] 188 |     velocity: Option<f32>,
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout] ...
[INFO] [stdout] 191 |     fft: Option<f32>, // fftSize 0 - 10
[INFO] [stdout]     |     ^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `HAP` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: variant `Absolute` is never constructed
[INFO] [stdout]    --> src/lib.rs:201:5
[INFO] [stdout]     |
[INFO] [stdout] 200 | enum Time {
[INFO] [stdout]     |      ---- variant in this enum
[INFO] [stdout] 201 |     Absolute(f64),
[INFO] [stdout]     |     ^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `Time` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: fields `max_polyphony`, `audio_device`, and `sound_map` are never read
[INFO] [stdout]    --> src/lib.rs:209:5
[INFO] [stdout]     |
[INFO] [stdout] 207 | pub struct Superdough {
[INFO] [stdout]     |            ---------- fields in this struct
[INFO] [stdout] 208 |     audio_context: AudioContext,
[INFO] [stdout] 209 |     max_polyphony: usize,
[INFO] [stdout]     |     ^^^^^^^^^^^^^
[INFO] [stdout] 210 |     audio_device: String,
[INFO] [stdout]     |     ^^^^^^^^^^^^
[INFO] [stdout] 211 |     sound_map: HashMap<String, String>,
[INFO] [stdout]     |     ^^^^^^^^^
[INFO] [stdout]     |
[INFO] [stdout]     = note: `Superdough` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `gain_node` is never used
[INFO] [stdout]  --> src/helpers.rs:7:15
[INFO] [stdout]   |
[INFO] [stdout] 7 | pub(crate) fn gain_node(audio_context: &AudioContext, value: f32) -> GainNode {
[INFO] [stdout]   |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: function `get_slope` is never used
[INFO] [stdout]   --> src/helpers.rs:13:15
[INFO] [stdout]    |
[INFO] [stdout] 13 | pub(crate) fn get_slope(y1: f32, y2: f32, x1: f32, x2: f32) -> f32 {
[INFO] [stdout]    |               ^^^^^^^^^
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished `test` profile [unoptimized + debuginfo] target(s) in 1.76s
[INFO] running `Command { std: "docker" "inspect" "c9194b4210d292116f36d5c9371c050e330625c1ed96e191556272f86a024408", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "c9194b4210d292116f36d5c9371c050e330625c1ed96e191556272f86a024408", kill_on_drop: false }`
[INFO] [stdout] c9194b4210d292116f36d5c9371c050e330625c1ed96e191556272f86a024408
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-6-tc1/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTFLAGS=--cap-lints=warn" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "ghcr.io/rust-lang/crates-build-env/linux@sha256:d429b63d4308055ea97f60fb1d3dfca48854a00942f1bd2ad806beaf015945ec" "/opt/rustwide/cargo-home/bin/cargo" "+1.94.0" "test" "--frozen", kill_on_drop: false }`
[INFO] [stdout] 6cba03559a742de7d354d3c49a3c5466f7ebae5f280b17d7c31b705748771e61
[INFO] running `Command { std: "docker" "start" "-a" "6cba03559a742de7d354d3c49a3c5466f7ebae5f280b17d7c31b705748771e61", kill_on_drop: false }`
[INFO] [stderr] warning: unused variable: `source`
[INFO] [stderr]    --> src/lib.rs:229:61
[INFO] [stderr]     |
[INFO] [stderr] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stderr]     |                                                             ^^^^^^ help: if this is intentional, prefix it with an underscore: `_source`
[INFO] [stderr]     |
[INFO] [stderr]     = note: `#[warn(unused_variables)]` (part of `#[warn(unused)]`) on by default
[INFO] [stderr] 
[INFO] [stderr] warning: constant `DEFAULT_MAX_POLYPHONY` is never used
[INFO] [stderr]   --> src/lib.rs:12:7
[INFO] [stderr]    |
[INFO] [stderr] 12 | const DEFAULT_MAX_POLYPHONY: usize = 128;
[INFO] [stderr]    |       ^^^^^^^^^^^^^^^^^^^^^
[INFO] [stderr]    |
[INFO] [stderr]    = note: `#[warn(dead_code)]` (part of `#[warn(unused)]`) on by default
[INFO] [stderr] 
[INFO] [stderr] warning: constant `DEFAULT_AUDIO_DEVICE_NAME` is never used
[INFO] [stderr]   --> src/lib.rs:13:7
[INFO] [stderr]    |
[INFO] [stderr] 13 | const DEFAULT_AUDIO_DEVICE_NAME: &str = "System Standard";
[INFO] [stderr]    |       ^^^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: constant `MAX_POLYPHONY` is never used
[INFO] [stderr]   --> src/lib.rs:16:7
[INFO] [stderr]    |
[INFO] [stderr] 16 | const MAX_POLYPHONY: usize = DEFAULT_MAX_POLYPHONY;
[INFO] [stderr]    |       ^^^^^^^^^^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: variants `Ladder` and `TwentyFourDB` are never constructed
[INFO] [stderr]    --> src/lib.rs:100:5
[INFO] [stderr]     |
[INFO] [stderr]  97 | enum FilterType {
[INFO] [stderr]     |      ---------- variants in this enum
[INFO] [stderr] ...
[INFO] [stderr] 100 |     Ladder,
[INFO] [stderr]     |     ^^^^^^
[INFO] [stderr] 101 |     TwentyFourDB,
[INFO] [stderr]     |     ^^^^^^^^^^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `FilterType` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stderr] 
[INFO] [stderr] warning: multiple fields are never read
[INFO] [stderr]    --> src/lib.rs:108:5
[INFO] [stderr]     |
[INFO] [stderr] 106 | struct HAP {
[INFO] [stderr]     |        --- fields in this struct
[INFO] [stderr] 107 |     #[builder(default = "Some(\"triangle\".into())")]
[INFO] [stderr] 108 |     s: Option<String>,
[INFO] [stderr]     |     ^
[INFO] [stderr] ...
[INFO] [stderr] 111 |     gain: Option<f32>,
[INFO] [stderr]     |     ^^^^
[INFO] [stderr] 112 |     #[builder(default = "Some(1.0)")]
[INFO] [stderr] 113 |     post_gain: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr] 114 |     #[builder(default = "Some(0.03)")]
[INFO] [stderr] 115 |     density: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 118 |     duration: f64,
[INFO] [stderr]     |     ^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 121 |     f_anchor: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 124 |     ftype: Option<FilterType>,
[INFO] [stderr]     |     ^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 133 |     resonance: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 142 |     h_resonance: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 151 |     band_q: Option<f32>,
[INFO] [stderr]     |     ^^^^^^
[INFO] [stderr] 152 |     #[builder(default = "Some(vec![1.0, 2.0])")]
[INFO] [stderr] 153 |     channels: Option<Vec<f32>>,
[INFO] [stderr]     |     ^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 157 |     phaser_depth: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 165 |     shape_vol: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 168 |     distort_vol: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 172 |     delay: Option<f32>,
[INFO] [stderr]     |     ^^^^^
[INFO] [stderr] 173 |     #[builder(default = "Some(0.5)")]
[INFO] [stderr] 174 |     delayfeedback: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^^^^^
[INFO] [stderr] 175 |     #[builder(default = "Some(0.25)")]
[INFO] [stderr] 176 |     delaytime: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr] 177 |     #[builder(default = "Some(1.0)")]
[INFO] [stderr] 178 |     orbit: Option<f32>,
[INFO] [stderr]     |     ^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 186 |     i: Option<f32>,
[INFO] [stderr]     |     ^
[INFO] [stderr] 187 |     #[builder(default = "Some(1.0)")]
[INFO] [stderr] 188 |     velocity: Option<f32>,
[INFO] [stderr]     |     ^^^^^^^^
[INFO] [stderr] ...
[INFO] [stderr] 191 |     fft: Option<f32>, // fftSize 0 - 10
[INFO] [stderr]     |     ^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `HAP` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stderr] 
[INFO] [stderr] warning: enum `Time` is never used
[INFO] [stderr]    --> src/lib.rs:200:6
[INFO] [stderr]     |
[INFO] [stderr] 200 | enum Time {
[INFO] [stderr]     |      ^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: fields `audio_context`, `max_polyphony`, `audio_device`, and `sound_map` are never read
[INFO] [stderr]    --> src/lib.rs:208:5
[INFO] [stderr]     |
[INFO] [stderr] 207 | pub struct Superdough {
[INFO] [stderr]     |            ---------- fields in this struct
[INFO] [stderr] 208 |     audio_context: AudioContext,
[INFO] [stderr]     |     ^^^^^^^^^^^^^
[INFO] [stderr] 209 |     max_polyphony: usize,
[INFO] [stderr]     |     ^^^^^^^^^^^^^
[INFO] [stderr] 210 |     audio_device: String,
[INFO] [stderr]     |     ^^^^^^^^^^^^
[INFO] [stderr] 211 |     sound_map: HashMap<String, String>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `Superdough` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stderr] 
[INFO] [stderr] warning: associated items `new`, `fire`, and `fire_with_custom_source` are never used
[INFO] [stderr]    --> src/lib.rs:215:8
[INFO] [stderr]     |
[INFO] [stderr] 214 | impl Superdough {
[INFO] [stderr]     | --------------- associated items in this implementation
[INFO] [stderr] 215 |     fn new() -> Self {
[INFO] [stderr]     |        ^^^
[INFO] [stderr] ...
[INFO] [stderr] 225 |     fn fire(&self, value: &HAP, t: Time) {
[INFO] [stderr]     |        ^^^^
[INFO] [stderr] ...
[INFO] [stderr] 229 |     fn fire_with_custom_source(&self, value: &HAP, t: Time, source: Option<Box<dyn AudioNode>>) {
[INFO] [stderr]     |        ^^^^^^^^^^^^^^^^^^^^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: function `gain_node` is never used
[INFO] [stderr]  --> src/helpers.rs:7:15
[INFO] [stderr]   |
[INFO] [stderr] 7 | pub(crate) fn gain_node(audio_context: &AudioContext, value: f32) -> GainNode {
[INFO] [stderr]   |               ^^^^^^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: function `get_slope` is never used
[INFO] [stderr]   --> src/helpers.rs:13:15
[INFO] [stderr]    |
[INFO] [stderr] 13 | pub(crate) fn get_slope(y1: f32, y2: f32, x1: f32, x2: f32) -> f32 {
[INFO] [stderr]    |               ^^^^^^^^^
[INFO] [stderr] 
[INFO] [stderr] warning: variants `Ladder` and `TwentyFourDB` are never constructed
[INFO] [stderr]    --> src/lib.rs:100:5
[INFO] [stderr]     |
[INFO] [stderr]  97 | enum FilterType {
[INFO] [stderr]     |      ---------- variants in this enum
[INFO] [stderr] ...
[INFO] [stderr] 100 |     Ladder,
[INFO] [stderr]     |     ^^^^^^
[INFO] [stderr] 101 |     TwentyFourDB,
[INFO] [stderr]     |     ^^^^^^^^^^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `FilterType` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stderr]     = note: `#[warn(dead_code)]` (part of `#[warn(unused)]`) on by default
[INFO] [stderr] 
[INFO] [stderr] warning: variant `Absolute` is never constructed
[INFO] [stderr]    --> src/lib.rs:201:5
[INFO] [stderr]     |
[INFO] [stderr] 200 | enum Time {
[INFO] [stderr]     |      ---- variant in this enum
[INFO] [stderr] 201 |     Absolute(f64),
[INFO] [stderr]     |     ^^^^^^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `Time` has derived impls for the traits `Debug` and `Clone`, but these are intentionally ignored during dead code analysis
[INFO] [stderr] 
[INFO] [stderr] warning: fields `max_polyphony`, `audio_device`, and `sound_map` are never read
[INFO] [stderr]    --> src/lib.rs:209:5
[INFO] [stderr]     |
[INFO] [stderr] 207 | pub struct Superdough {
[INFO] [stderr]     |            ---------- fields in this struct
[INFO] [stderr] 208 |     audio_context: AudioContext,
[INFO] [stderr] 209 |     max_polyphony: usize,
[INFO] [stderr]     |     ^^^^^^^^^^^^^
[INFO] [stderr] 210 |     audio_device: String,
[INFO] [stderr]     |     ^^^^^^^^^^^^
[INFO] [stderr] 211 |     sound_map: HashMap<String, String>,
[INFO] [stderr]     |     ^^^^^^^^^
[INFO] [stderr]     |
[INFO] [stderr]     = note: `Superdough` has a derived impl for the trait `Debug`, but this is intentionally ignored during dead code analysis
[INFO] [stderr] 
[INFO] [stderr] warning: `superdough-rs` (lib) generated 11 warnings (run `cargo fix --lib -p superdough-rs` to apply 1 suggestion)
[INFO] [stderr] warning: `superdough-rs` (lib test) generated 7 warnings (4 duplicates)
[INFO] [stderr]     Finished `test` profile [unoptimized + debuginfo] target(s) in 0.19s
[INFO] [stderr]      Running unittests src/lib.rs (/opt/rustwide/target/debug/deps/superdough_rs-6d5c0ee15d606b83)
[INFO] [stdout] 
[INFO] [stdout] running 1 test
[INFO] [stderr] ALSA lib confmisc.c:855:(parse_card) cannot find card '0'
[INFO] [stderr] ALSA lib conf.c:5204:(_snd_config_evaluate) function snd_func_card_inum returned error: No such file or directory
[INFO] [stderr] ALSA lib confmisc.c:422:(snd_func_concat) error evaluating strings
[INFO] [stderr] ALSA lib conf.c:5204:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
[INFO] [stderr] ALSA lib confmisc.c:1342:(snd_func_refer) error evaluating name
[INFO] [stderr] ALSA lib conf.c:5204:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
[INFO] [stderr] ALSA lib conf.c:5727:(snd_config_expand) Evaluate error: No such file or directory
[INFO] [stderr] ALSA lib pcm.c:2721:(snd_pcm_open_noupdate) Unknown PCM default
[INFO] [stdout] test tests::it_works ... FAILED
[INFO] [stdout] 
[INFO] [stdout] failures:
[INFO] [stdout] 
[INFO] [stdout] ---- tests::it_works stdout ----
[INFO] [stdout] 
[INFO] [stdout] thread 'tests::it_works' (25) panicked at /opt/rustwide/cargo-home/registry/src/index.crates.io-1949cf8c6b5b557f/web-audio-api-1.2.0/src/io/cpal.rs:153:14:
[INFO] [stdout] InvalidStateError - error while querying device output config: DeviceNotAvailable
[INFO] [stdout] stack backtrace:
[INFO] [stdout]    0:     0x5d66cfdfc042 - std::backtrace_rs::backtrace::libunwind::trace::hff358a60abf734fc
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/../../backtrace/src/backtrace/libunwind.rs:117:9
[INFO] [stdout]    1:     0x5d66cfdfc042 - std::backtrace_rs::backtrace::trace_unsynchronized::h3b121f916dd95ec6
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/../../backtrace/src/backtrace/mod.rs:66:14
[INFO] [stdout]    2:     0x5d66cfdfc042 - std::sys::backtrace::_print_fmt::hde0a62ded68798e9
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/backtrace.rs:74:9
[INFO] [stdout]    3:     0x5d66cfdfc042 - <std::sys::backtrace::BacktraceLock::print::DisplayBacktrace as core::fmt::Display>::fmt::h93773fc827e3113d
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/backtrace.rs:44:26
[INFO] [stdout]    4:     0x5d66cfe0dd7a - core::fmt::rt::Argument::fmt::h01eff69902dad97f
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/fmt/rt.rs:152:76
[INFO] [stdout]    5:     0x5d66cfe0dd7a - core::fmt::write::hed7b5c73d82ecb7c
[INFO] [stdout]    6:     0x5d66cfdca876 - std::io::default_write_fmt::h2f696ff5b8bbaa4b
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/io/mod.rs:639:11
[INFO] [stdout]    7:     0x5d66cfdca876 - std::io::Write::write_fmt::h5e66814db8a9cfce
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/io/mod.rs:1994:13
[INFO] [stdout]    8:     0x5d66cfddb449 - std::sys::backtrace::BacktraceLock::print::h8b1d6fcc5a56d1a3
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/backtrace.rs:47:9
[INFO] [stdout]    9:     0x5d66cfddb449 - std::panicking::default_hook::{{closure}}::h2be84df4f189ae36
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:292:27
[INFO] [stdout]   10:     0x5d66cfddb2e1 - std::panicking::default_hook::hf0ea8939246f43a9
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:316:9
[INFO] [stdout]   11:     0x5d66cf3c64ce - <alloc::boxed::Box<F,A> as core::ops::function::Fn<Args>>::call::h02d35e3888986252
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/alloc/src/boxed.rs:2220:9
[INFO] [stdout]   12:     0x5d66cf3c64ce - test::test_main_with_exit_callback::{{closure}}::h939640a27d647173
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:145:21
[INFO] [stdout]   13:     0x5d66cfddb6c2 - <alloc::boxed::Box<F,A> as core::ops::function::Fn<Args>>::call::hc9df09ff391af3e7
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/alloc/src/boxed.rs:2220:9
[INFO] [stdout]   14:     0x5d66cfddb6c2 - std::panicking::panic_with_hook::hb4bd9ac1123582a0
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:833:13
[INFO] [stdout]   15:     0x5d66cfddb508 - std::panicking::panic_handler::{{closure}}::hde00dd15f5637fe2
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:698:13
[INFO] [stdout]   16:     0x5d66cfdd6669 - std::sys::backtrace::__rust_end_short_backtrace::hb72197fa777c1785
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/backtrace.rs:182:18
[INFO] [stdout]   17:     0x5d66cfdbf6ad - __rustc[4425a7e20b4c8619]::rust_begin_unwind
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:689:5
[INFO] [stdout]   18:     0x5d66cfe1549c - core::panicking::panic_fmt::ha59b517dd231f4da
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/panicking.rs:80:14
[INFO] [stdout]   19:     0x5d66cfe14c82 - core::result::unwrap_failed::hf2d1f30a3ac850fc
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/result.rs:1867:5
[INFO] [stdout]   20:     0x5d66cf49690f - core::result::Result<T,E>::expect::h2972acfb1930c7d9
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/result.rs:1185:23
[INFO] [stdout]   21:     0x5d66cf47c9e7 - <web_audio_api::io::cpal::CpalBackend as web_audio_api::io::AudioBackendManager>::build_output::h484c1e4cd2978589
[INFO] [stdout]                                at /opt/rustwide/cargo-home/registry/src/index.crates.io-1949cf8c6b5b557f/web-audio-api-1.2.0/src/io/cpal.rs:153:14
[INFO] [stdout]   22:     0x5d66cf467613 - web_audio_api::io::build_output::h7f42534802e52652
[INFO] [stdout]                                at /opt/rustwide/cargo-home/registry/src/index.crates.io-1949cf8c6b5b557f/web-audio-api-1.2.0/src/io/mod.rs:106:23
[INFO] [stdout]   23:     0x5d66cf46847d - web_audio_api::context::online::AudioContext::new::h57dc32759acac447
[INFO] [stdout]                                at /opt/rustwide/cargo-home/registry/src/index.crates.io-1949cf8c6b5b557f/web-audio-api-1.2.0/src/context/online.rs:192:23
[INFO] [stdout]   24:     0x5d66cf471ef8 - <web_audio_api::context::online::AudioContext as core::default::Default>::default::h55489abc6d830983
[INFO] [stdout]                                at /opt/rustwide/cargo-home/registry/src/index.crates.io-1949cf8c6b5b557f/web-audio-api-1.2.0/src/context/online.rs:151:9
[INFO] [stdout]   25:     0x5d66cf3a331e - superdough_rs::Superdough::new::h2e78471e0b0274a9
[INFO] [stdout]                                at /opt/rustwide/workdir/src/lib.rs:216:29
[INFO] [stdout]   26:     0x5d66cf3a3518 - superdough_rs::tests::it_works::h2f88f448953e250b
[INFO] [stdout]                                at /opt/rustwide/workdir/src/lib.rs:257:26
[INFO] [stdout]   27:     0x5d66cf3a3857 - superdough_rs::tests::it_works::{{closure}}::h18fc6ac1bf2b76ae
[INFO] [stdout]                                at /opt/rustwide/workdir/src/lib.rs:256:18
[INFO] [stdout]   28:     0x5d66cf3a3b46 - core::ops::function::FnOnce::call_once::h6d7fc2445254f9bc
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/ops/function.rs:250:5
[INFO] [stdout]   29:     0x5d66cf3c628b - core::ops::function::FnOnce::call_once::hddb3cd395c36bfbb
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/ops/function.rs:250:5
[INFO] [stdout]   30:     0x5d66cf3c628b - test::__rust_begin_short_backtrace::h0b6a7601d9750bfa
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:663:18
[INFO] [stdout]   31:     0x5d66cf3d9c9a - test::run_test_in_process::{{closure}}::h444209903f00b347
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:686:74
[INFO] [stdout]   32:     0x5d66cf3d9c9a - <core::panic::unwind_safe::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once::hfb3ba8f46e537649
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/panic/unwind_safe.rs:274:9
[INFO] [stdout]   33:     0x5d66cf3d9c9a - std::panicking::catch_unwind::do_call::h1672a45911fcf9dc
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:581:40
[INFO] [stdout]   34:     0x5d66cf3d9c9a - std::panicking::catch_unwind::h0fadaee22787a6dd
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:544:19
[INFO] [stdout]   35:     0x5d66cf3d9c9a - std::panic::catch_unwind::hc47ad190f2c8e188
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panic.rs:359:14
[INFO] [stdout]   36:     0x5d66cf3d9c9a - test::run_test_in_process::hcd7faaf934f29999
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:686:27
[INFO] [stdout]   37:     0x5d66cf3d9c9a - test::run_test::{{closure}}::hddc4550da4871867
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:607:43
[INFO] [stdout]   38:     0x5d66cf3b40f4 - test::run_test::{{closure}}::h98ae26689f13ed94
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/test/src/lib.rs:637:41
[INFO] [stdout]   39:     0x5d66cf3b40f4 - std::sys::backtrace::__rust_begin_short_backtrace::h3ec4d1f21ad44588
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/backtrace.rs:166:18
[INFO] [stdout]   40:     0x5d66cf3b7a92 - std::thread::lifecycle::spawn_unchecked::{{closure}}::{{closure}}::hd8bf2c73d479939f
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/thread/lifecycle.rs:91:13
[INFO] [stdout]   41:     0x5d66cf3b7a92 - <core::panic::unwind_safe::AssertUnwindSafe<F> as core::ops::function::FnOnce<()>>::call_once::h3b4248f358af2491
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/panic/unwind_safe.rs:274:9
[INFO] [stdout]   42:     0x5d66cf3b7a92 - std::panicking::catch_unwind::do_call::hda10a64f4b8daebe
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:581:40
[INFO] [stdout]   43:     0x5d66cf3b7a92 - std::panicking::catch_unwind::h659e5ee8336ec8c7
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panicking.rs:544:19
[INFO] [stdout]   44:     0x5d66cf3b7a92 - std::panic::catch_unwind::h9d4d66a538912c18
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/panic.rs:359:14
[INFO] [stdout]   45:     0x5d66cf3b7a92 - std::thread::lifecycle::spawn_unchecked::{{closure}}::h7557906bb51d79f1
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/thread/lifecycle.rs:89:26
[INFO] [stdout]   46:     0x5d66cf3b7a92 - core::ops::function::FnOnce::call_once{{vtable.shim}}::h9e460d1d7fc83d35
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/core/src/ops/function.rs:250:5
[INFO] [stdout]   47:     0x5d66cfdd18ff - <alloc::boxed::Box<F,A> as core::ops::function::FnOnce<Args>>::call_once::h61282da819d64ea9
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/alloc/src/boxed.rs:2206:9
[INFO] [stdout]   48:     0x5d66cfdd18ff - std::sys::thread::unix::Thread::new::thread_start::h982f9ea829d1b5fb
[INFO] [stdout]                                at /rustc/4a4ef493e3a1488c6e321570238084b38948f6db/library/std/src/sys/thread/unix.rs:127:17
[INFO] [stdout]   49:     0x7449934ecaa4 - <unknown>
[INFO] [stdout]   50:     0x744993579a64 - clone
[INFO] [stdout]   51:                0x0 - <unknown>
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] failures:
[INFO] [stdout]     tests::it_works
[INFO] [stdout] 
[INFO] [stdout] test result: FAILED. 0 passed; 1 failed; 0 ignored; 0 measured; 0 filtered out; finished in 0.11s
[INFO] [stdout] 
[INFO] [stderr] error: test failed, to rerun pass `--lib`
[INFO] running `Command { std: "docker" "inspect" "6cba03559a742de7d354d3c49a3c5466f7ebae5f280b17d7c31b705748771e61", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "6cba03559a742de7d354d3c49a3c5466f7ebae5f280b17d7c31b705748771e61", kill_on_drop: false }`
[INFO] [stdout] 6cba03559a742de7d354d3c49a3c5466f7ebae5f280b17d7c31b705748771e61
